<html>
<head>
<title>OGRE: Ogre::CompositorSerializer Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1CompositorSerializer.html">CompositorSerializer</a></div>
<h1>Ogre::CompositorSerializer Class Reference</h1><!-- doxytag: class="Ogre::CompositorSerializer" -->Class for serializing Compositors to / from a .compositor script.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreCompositorSerializer_8h-source.html">OgreCompositorSerializer.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1CompositorSerializer-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorSerializer.html#e64f675761f23069a92847978194bd96">CompositorSerializer</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">default constructor  <a href="#e64f675761f23069a92847978194bd96"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorSerializer.html#6ea04186b7b712fb5284737123a04396">~CompositorSerializer</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">default destructor  <a href="#6ea04186b7b712fb5284737123a04396"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorSerializer.html#47cfc26bbd2260a2ca02cef3ac039aa8">parseScript</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a <a class="el" href="classOgre_1_1Compositor.html" title="Class representing a Compositor object.">Compositor</a> script file passed as a stream.  <a href="#47cfc26bbd2260a2ca02cef3ac039aa8"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1CompositorScriptCompiler.html">CompositorScriptCompiler</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorSerializer.html#842834d7ad0a84713c590089323623e7">mScriptCompiler</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class for serializing Compositors to / from a .compositor script. 
<p>

<p>Definition at line <a class="el" href="OgreCompositorSerializer_8h-source.html#l00040">40</a> of file <a class="el" href="OgreCompositorSerializer_8h-source.html">OgreCompositorSerializer.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="e64f675761f23069a92847978194bd96"></a><!-- doxytag: member="Ogre::CompositorSerializer::CompositorSerializer" ref="e64f675761f23069a92847978194bd96" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::CompositorSerializer::CompositorSerializer           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
default constructor 
<p>

</div>
</div><p>
<a class="anchor" name="6ea04186b7b712fb5284737123a04396"></a><!-- doxytag: member="Ogre::CompositorSerializer::~CompositorSerializer" ref="6ea04186b7b712fb5284737123a04396" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::CompositorSerializer::~CompositorSerializer           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
default destructor 
<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="47cfc26bbd2260a2ca02cef3ac039aa8"></a><!-- doxytag: member="Ogre::CompositorSerializer::parseScript" ref="47cfc26bbd2260a2ca02cef3ac039aa8" args="(DataStreamPtr &amp;stream, const String &amp;groupName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::CompositorSerializer::parseScript           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>groupName</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parses a <a class="el" href="classOgre_1_1Compositor.html" title="Class representing a Compositor object.">Compositor</a> script file passed as a stream. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="842834d7ad0a84713c590089323623e7"></a><!-- doxytag: member="Ogre::CompositorSerializer::mScriptCompiler" ref="842834d7ad0a84713c590089323623e7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorScriptCompiler.html">CompositorScriptCompiler</a>* <a class="el" href="classOgre_1_1CompositorSerializer.html#842834d7ad0a84713c590089323623e7">Ogre::CompositorSerializer::mScriptCompiler</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCompositorSerializer_8h-source.html#l00053">53</a> of file <a class="el" href="OgreCompositorSerializer_8h-source.html">OgreCompositorSerializer.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreCompositorSerializer_8h-source.html">OgreCompositorSerializer.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:28 2008
</p>
</body>
</html>
